* PROGRAM TITLE. . . . . . Tone Demo
* FILE NAME. . . . . . . . Tone.Prg
* FOR USE WITH . . . . . . dBASE III PLUS, Tone.Bin and MS-DOS
* DATE LAST MODIFIED . . . 08/05/88
* AUTHOR . . . . . . . . . Thomas T. Held
* PROGRAM DESCRIPTION:
*   - Demonstrates the CALLing of Tone.Bin with memory variables.  
*   - Can be used to choose tones for different purposes.

CLEAR                                && Clear the screen.
LOAD Tone                            && Load Tone.Bin into memory.
SET TALK OFF                         && Turn screen chatter off.
SET STATUS OFF                       && Turn status line off (dBASE III PLUS).
Tone = ' '                           && Initialize the memory variable "Tone".

  DO WHILE .T.                       && Start a loop for user input.

    ? 'Enter two numbers seperated by a space, or "Q" to quit.'
    ? 'The first number is for duration, the second for pitch.'

    ACCEPT TO Tone                   && Store user input to memvar "Tone".
    @ $-2, 0 CLEAR                   && Move up 2 lines and clear the line.
    @ $,   0 SAY Tone                && Display the two numbers entered.
    @ $+1, 0 CLEAR                   && Clear the next line.

      IF UPPER(Tone) # "Q"           && If the user's input IS NOT "Q" or "q"
        CALL Tone WITH Tone          && run Tone with the numbers entered,
        LOOP                         && then loop back to start of the loop.
      ELSE                           && Or else (user input IS "Q" or "q")
        EXIT                         && exit the loop, and continue from there.
      ENDIF

  ENDDO                              && Close the user input loop.

RELEASE Tone                         && Trash the memvar "Tone".
SET STATUS ON                        && Turn the status line back on.
SET TALK ON                          && Turn screen chatter back on.

* End-of-file:  Tone.Prg             && The end.